Skip to main content
PUT
/
management
/
clients
/
{clientId}
/
providers
/
{id}
curl -X PUT "https://api.cryptomate.me/management/clients/client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/providers/cpc_abc123" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "customer_id": "cust_ext_updated_123"
  }'
{
  "code": "NOT_FOUND",
  "message": "ClientProviderCustomer not found"
}
Updates the customer ID for an existing provider customer link. Requires an API key with access level 3 or higher.

Path parameters

clientId
string
required
Unique identifier of the client.
id
string
required
Unique identifier of the provider customer link.

Body

customer_id
string
required
Updated customer ID in the external provider’s system.

Response

See Create provider customer link for the field list.
curl -X PUT "https://api.cryptomate.me/management/clients/client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/providers/cpc_abc123" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "customer_id": "cust_ext_updated_123"
  }'
{
  "code": "NOT_FOUND",
  "message": "ClientProviderCustomer not found"
}